Nest

Błędy w MyBB 1.6

Założony przez Turel.

W 1.6 pojawiła się opcja dodawania jako moderatora działu całej, wybranej grupy użytkowników. Niby fajna i przydatna rzecz, ale niedopracowana. Co z tego jeśli jest nazwa grupy przy dziale, jeśli w stronie "Ekipa" i tak nie wyświetla się ten dział? Jeśli będzie user który będzie modem ale nie będzie przypisany do działów z ksywki, tylko z grupy do której należy, to w stronie "Ekipa" nie wyświetlą się działy które moderuje. Dodatkowo można kliknąć na nick usera przy dziale jaki moderuje, ale nie można kliknąć na grupę userów, mimo iż można ją kliknąć w stopce w legendzie grup u dołu forum. Czemu? Ostatnia rzecz, można upiększyć nie tylko nick usera z danej grupy ale też jej nazwę stosując kod HTML. I wszystko byłoby fajnie, tyle że wtedy w dziale przy "Moderowane przez" nie ma nazwy grupy w kolorze, ale razem z kodem HTML! Czemu w tym miejscu kod nie działa skoro w innych działa prawidłowo? Czemu wyświetla się kod, zamiast efektu jaki on daje? Czemu, Czemu, Czemu? Jak widzicie przez to nadal bardziej się opłaca ustawiać moderatorów do działu wpisując ich login, a nie grupę...

Jak widzicie ta opcja jest niedopracowana i to właśnie życzyłbym sobie zmienić, poprawić, ulepszyć w nast. wersji MyBB.

Pozdrawiam!
w sprawie moderki część błędów została zauważona i zgłoszona, a jak sprawdzałem jakiś czas temu ( ok, trochę już minęło ) to co nieco w tym temacie zostało już zrobione ... choć niekoniecznie to wszystko o czym piszesz ;) pierwsze wersje zawsze należy traktować jak działające bety ... niestety

P.S.
znam ten cytat ;)
(12.10.2010, 17:23)SoulReaver napisał(a): w sprawie moderki część błędów została zauważona i zgłoszona, a jak sprawdzałem jakiś czas temu ( ok, trochę już minęło ) to co nieco w tym temacie zostało już zrobione

To znaczy, konkretnie co zostało zrobione?
Cytat:P.S.
znam ten cytat Wink
Trudno żebyś nie znał ;)
przede wszystkim poprawiono zgłoszone przez Bryna błąd w funkcji is_moderator
pisałeś coś o kolorowaniu: nicki moderatorów na liście moderatorów nie są stylizowane wg swoich grup
inne:
Gość moderujący forum
Niewidocznie moderatorzy subforów
Narzędzia moderatorskie wywołujące błedy
Narzędzia moderatorskie nie działają w forumdisplay

może coś przeoczyłem ale to bez znaczenia ;)
jak coś Ci nie działa i uważasz, że to jest błąd skryptu a nie efekt działania pluginów czy błąd szablonów Twojego stylu, to należy go zgłosić na stronie, do której linki masz w tym poscie ;)
Samo zgłoszenie błędu jeszcze nie powoduje jego usunięcia...
jeżeli błąd nie zostanie zgłoszony, nie można liczyć na jego poprawę - proste ;) więc tak, zgłoszenie błędu MOŻE spowodować jego usunięcie ;)

natomiast w odniesieniu do tego, co pisałem wcześniej
w każdym z podanych wypadków istnieje odpowiedni commit oznaczony słowem kluczowym "fixes" ( rozwiązuje ), ponieważ tylko takich szukałem ;) przeglądałem repo po prostu
część zagadnień ( zgłoszonych błędów ) przeszła już ze stanu Resolved na Closed, co oznacza, że sprawę uznano za zamkniętą i jeżeli chcesz, to pobierasz poprawione pliki z repo i będzie jakoś działać, albo czekasz na wydanie 1.6.1
To wtedy lepiej poczekać na 1.6.1- prostsza instalacja. Mam nadzieję iż aktualizacja do 1.6.1 (jak już wyjdzie) to nie rozwali mi forum i wszystkie skórki i pluginy będą kompatybilne, ale chyba będą co? ;)

PS. Skoro wersja 1.6 to jak to ująłeś "działająca beta" to w takim razie czemu wy ekipa mybboard już od razu zaktualizowała forum do wersji 1.6?
Nie nazwałbym tego dziłającą betą a raczej wersją stabliną z paroma błędami. Jak widać w kwestii nazewnictwa z SR mam odmienne zdanie.

Co do update'u - MyBB 1.6 ma więcej mozliwosci i jest generalnie "bardziej" (nie wiem czy to dobre okreslenie; raczej: także) bezpieczne.
nie rozum mnie źle
za wersję końcową można uznać np ostatnie wersje oznaczone numerem 1.4
dla 1.6 będzie podobnie
po prostu wydano wersję stabilną, która nie ma zbyt wielu ( albo już żadnych ) znanych błędów, dopiero od tej chwili ( po wydaniu )pojawiają się prawdziwi użytkownicy tego skryptu i dopiero teraz mogą się ujawnić prawdziwe problemy, które przy beta-testach większość by przeoczyła, bo beta testy są zazwyczaj lokalne, w danej chwili jest 1, max 2 userów, żadnego obciążenia, brak wykorzystania wszystkich funkcji
a teraz skrypt ma wielu prawdziwych beta testerów, pracujących w prawdziwych warunkach, na całym świecie ;) błędy są wyszukiwane i będą naprawiane
choć nie wszystkie, bo niestety autorzy skryptu MyBB też mają swoje widzi-mi-się i od razu mówią ( piszą ), że nie mają zamiaru czegoś poprawiać bądź zmieniać ;) ale wtedy można liczyć na społeczność :)

@ Victor
jak widzisz po tym poscie ( pisanym równolegle ), wcale nie mamy różnic zdań w temacie nazewnictwa ;)
używając słowa "beta" chciałem zwrócić uwagę na to, że po pierwszych wersjach można się zawsze spodziewać, że będą miały "trochę" błędów, trzeba mieć jedynie nadzieję, że niezbyt dotkliwych
1.6 jest budowane na bazie 1.4, więc teoretycznie ciężko o błędy w działaniu podstawowych funkcji, ale ...
(13.10.2010, 16:34)Victor napisał(a): Co do update'u - MyBB 1.6 ma więcej mozliwosci i jest generalnie "bardziej" (nie wiem czy to dobre okreslenie; raczej: także) bezpieczne.

Zgodzę się, np automatyczne tworzenie się pliku "lock" w folderze "install" uniemożliwiające ponowne zainstalowanie forum przez osoby niepowołane BEZ koniecznści usuwania tego folderu...

(13.10.2010, 16:37)SoulReaver napisał(a): błędy są wyszukiwane i będą naprawiane
choć nie wszystkie, bo niestety autorzy skryptu MyBB też mają swoje widzi-mi-się i od razu mówią ( piszą ), że nie mają zamiaru czegoś poprawiać bądź zmieniać ;) ale wtedy można liczyć na społeczność :)

A konkretnie to o jakie 'widzimisie' Ci chodzi? :)
no błagam, powoli zamieniamy to w dyskusję o 1.6 ( i dlatego chyba przeniosę to do innego wątku ) i jego błędach zamiast o tym co do niego dodać
lock tworzony był już w 1.4, ale nie wiem czemu działało mi to tylko lokalnie ( windows ) ;)
aby znaleźć "widzimisię" musisz częściej zaglądać na forum community i czytać różne wątki o znalezionych bykach, które często osoba, która błąd znalazła, od razu rozwiązała, daje autorom skryptu patch na tacy ... a oni mają autora patcha w "siedzisku" ;) cóż można tu więcej dodać ...
ale też, nie należy może traktować tego jako "olewanie", być może z jednej strony nie chcą brać czyjegoś rozwiązania, żeby nikt im nie krzyczał o współautorstwo :P albo wolą szukać własnych rozwiązań zachowując "czystość kodu", z drugiej strony, nie chcą rozwiązywać pewnych problemów, bo nie widzą w tym problemu i uważają, że takie rzeczy można rozwiązać we własnym zakresie
przykład - dostępność danych konfiguracyjnych ( dane do bazy z config.php ), które powinieneś sam usuwać, bo autorzy postanowili nie robić tego za Ciebie
Wciąż jednak nie odpowiedziałeś mi SR czemu zainstalowaliście wersje 1.6 Tu na tym forum. I to od razu po jej premierze, przecież oczywistym było że będzie miała błędy i że trochę ryzykujecie.
(14.10.2010, 09:28)Turel napisał(a): Wciąż jednak nie odpowiedziałeś mi SR czemu zainstalowaliście wersje 1.6 Tu na tym forum. I to od razu po jej premierze, przecież oczywistym było że będzie miała błędy i że trochę ryzykujecie.

Programiści wydając wersję Gold uważają, że jest stabilna i nie ma w tej wersji większych błędów, ale wszystko wychodzi w praniu. Nie wiem dlaczego zadajesz takie dziwne pytanie, ale równie dobrze mógłbym zapytać dlaczego mieli tego nie zrobić, skoro to wersja STABILNA?
było to ( istnienie błędów ) oczywiste, nawet na bieżąco oglądaliśmy stan repo, do samego końca tworzone były poprawki ( koniec wyznaczał tykający zegar ), więc jeżeli poprawili wszystko to tak jak napisałem - poprawiono wszystko, o czym było wiadomo
ale chcesz odpowiedzi wprost - czemu zainstalowaliśmy v1.6, odpowiedź jest prosta i podał ją XemiX - wersja jest stabilna i rażących błędów nie ma
odpowiedź druga, z jednej strony śmieszna i pewnie nikt tak do tego nie podchodził ;), ale sam powiedz, jak wygląda support skryptu ( jakiegokolwiek, phpBB, vB, IPB ... ), który nie korzysta z najnowszej wersji skryptu ( bo się boi błędów ) i zmusza ( ok, zachęca ) do używania tej niedoskonałej wersji ?? moim zdaniem kiepsko
myślę że to wyczerpuje temat czemu można używać ( i używamy ) dostępnej wersji 1.6 pomimo występujących w niej błędów
(14.10.2010, 15:23)SoulReaver napisał(a): do samego końca tworzone były poprawki ( koniec wyznaczał tykający zegar )

Po tyknięciu zegara prawdę powiedziawszy również - zamieszanie z 1 czy tam 2 plikami zmienionymi było :)


Skocz do:

Użytkownicy przeglądający ten wątek:

1 gości